# vim: set ts=4 sw=4 et:

Name:           nvidia-settings
Version:        270.41.06
Release:        1.3
Summary:        Configuration Tool for nVidia GPUs
Source:         ftp://download.nvidia.com/XFree86/nvidia-settings/nvidia-settings-%{version}.tar.bz2
Source1:        nvidia-settings.desktop
Source99:       %{name}-rpmlintrc
Patch1:         nvidia-settings-optflags.patch
Group:          Hardware/Other
License:        GNU General Public License (GPL)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  gtk2-devel Mesa Mesa-devel xorg-x11-devel
BuildRequires:  gcc make glibc-devel
BuildRequires:  autoconf automake libtool update-desktop-files

%description
The nvidia-settings utility is a tool for configuring the NVIDIA Linux
graphics driver. It operates by communicating with the NVIDIA X driver,
querying and updating state as appropriate. This communication is done with
the NV-CONTROL X extension.

Values such as brightness and gamma, XVideo attributes, temperature, and
OpenGL settings can be queried and configured via nvidia-settings.

When nvidia-settings starts, it reads the current settings from its
configuration file and sends those settings to the X server.
Then, it displays a graphical user interface (GUI) interface for configuring
the current settings. When nvidia-settings exits, it queries the current
settings from the X server and saves them to the configuration file.




Authors:
--------
    NVIDIA Corporation <linux-bugs@nvidia.com>

%package -n libXNVCtrl
Summary:        NVidia Control Library
Group:          Development/Libraries/C and C++

%description -n libXNVCtrl
Library for configuring the NVIDIA Linux graphics driver. It operates by
communicating with the NVIDIA X driver, querying and updating state as
appropriate. This communication is done with the NV-CONTROL X extension.




Authors:
--------
    NVIDIA Corporation <linux-bugs@nvidia.com>

%prep
%setup -q -n "nvidia-settings-%{version}"
%patch1

%build
SUBS="src/libXNVCtrl ."
for d in $SUBS; do
    %__make -C "$d" clean
done
for d in $SUBS; do
    %__make %{?jobs:-j%{jobs}} \
    	  CC="%__cc" \
    	  X11R6_DIR="%{_usr}" \
    	  X11_LIB_DIRS="-L%{_libdir}" \
    	  X11_INC_DIRS="-I%{_includedir}" \
    	  STRIP=touch \
    	  INSTALL="%__install" \
          NV_VERBOSE=1 \
          OPTFLAGS="%{optflags}" \
    	  -C "$d"
done

%install
%__install -d "%{buildroot}%{_bindir}"
%__make \
    	  STRIP=touch \
    	  INSTALL="%__install" \
          bindir="%{buildroot}%{_bindir}" \
          mandir="%{buildroot}%{_mandir}/man1" \
          install

%__rm -f \
    "%{buildroot}%{_bindir}"/*.h \
    "%{buildroot}%{_bindir}"/*.mk

for g in "%{buildroot}%{_mandir}"/man*/*.gz; do
    %__gzip -d "$g"
done

%__chmod 0644 "%{buildroot}%{_mandir}"/man*/*.*

%__install -d "%{buildroot}%{_libdir}"
%__install -m0644 src/libXNVCtrl/libXNVCtrl.a "%{buildroot}%{_libdir}/"
%__install -d "%{buildroot}%{_includedir}/NVCtrl"
%__install -m0644 src/libXNVCtrl/*.h "%{buildroot}%{_includedir}/NVCtrl/"

%__install -D -m0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%suse_update_desktop_file -r "%{name}" System HardwareSettings

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc COPYING doc/*.txt
%{_bindir}/nvidia-settings
%{_datadir}/applications/%{name}.desktop
%doc %{_mandir}/man1/nvidia-settings.1%{ext_man}

%files -n libXNVCtrl
%defattr(-,root,root)
%{_includedir}/NVCtrl
%{_libdir}/libXNVCtrl.a

%changelog
* Sat Feb 26 2011 pascal.bleser@opensuse.org
- update to 270.29
* Sat Dec  4 2010 pascal.bleser@opensuse.org
- update to 260.19.21
* Mon Jul 19 2010 pascal.bleser@opensuse.org
- update to 256.35
* Sun Feb  7 2010 detlef@links2linux.de
- update to 190.53
* Wed Sep 30 2009 pascal.bleser@opensuse.org
- update to 190.36
* Sun May  3 2009 pascal.bleser@opensuse.org
- update to 185.19
* Wed Jul 23 2008 guru@unixtech.be
- new package
